summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/nft-f/0029split_file_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/nft-f/0029split_file_0')
-rwxr-xr-xtests/shell/testcases/nft-f/0029split_file_025
1 files changed, 25 insertions, 0 deletions
diff --git a/tests/shell/testcases/nft-f/0029split_file_0 b/tests/shell/testcases/nft-f/0029split_file_0
new file mode 100755
index 00000000..0cc547ab
--- /dev/null
+++ b/tests/shell/testcases/nft-f/0029split_file_0
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+set -e
+
+RULESET="table inet filter {
+ set whitelist_v4 {
+ type ipv4_addr;
+ }
+
+ chain prerouting {
+ type filter hook prerouting priority filter;
+ }
+}
+"
+
+$NFT -f - <<< "$RULESET"
+
+RULESET="table inet filter {
+ chain prerouting {
+ ip daddr @whitelist_v4
+ }
+}
+"
+
+$NFT -f - <<< "$RULESET"